Ixiasoft CCMS

IXIASOFT CCMS V4.6 and 4.5

December 21, 2017

Server-side Requirements

TEXTML Server – Requirement

  • IXIASOFT TEXTML Server 4.3.6.4188 and up
    • If you are using ICU word parsing and localizing in zh-cn, zh-tw, ja-jp, or th-th, TEXTML Server 4.3.7.4299 and up is recommended.
  • Operating system:
    • Windows® 2008R2 (64-bits only) and up is recommended.
    • Linux® Red Hat®/CentOS version 5 or 6 (both 64-bits only)Note: Red Hat®/CentOS version 7 is not supported.

DITA CMS Web

  • CMS Application Server
    • GlassFish Server 4.x
    • Java™ JDK 8 u60 or above, 64-bit
    • Microsoft® .NET Framework 3.5 (on Windows only)
  • DITA CMS Web Application:
    • Apache Tomcat® 7 (7.0.11 and up)
    • Java™ JDK 8 u60 or above, 64-bit
  • DITA CMS Core
    • DITA-OT 2.3.1
    • DITA CMS Core 4.5.35 configuration files (minimum)

DITA CMS Admin Plugin – Requirement

  • TEXTML Admin plugin 4.3.7.4299 and up

Output Generator – Requirement

  • Java™ 1.7.0_51 or 1.7.0-80 and up, or Java 1.8.60 and up; 64-bitNote: When you run the integrator on the DITA-OT (for example, run ant -f integration.xml in the command prompt) and you are using Java 1.8, it may give you different results because the plugins are not processed in the same order. Since this may cause a change in the behavior of the plugins, it is recommended that you validate the results before going into production.
  • Rendering software (such as RenderX, Antenna House, or Apache FOP)

Scheduler – Requirement

  • Java™ 1.7.0_51 or 1.7.0-80 and up, or Java 1.8.60 and up, 64-bit

Client-side Requirements

DITA CMS Web

  • The browser must support HTML5, CSS3, and JavaScript ES5 and must allow cookies
  • On Windows®:
    • Microsoft® Internet Explorer® 11
    • Last 3 major versions of Microsoft® Edge™
    • Last 3 major versions of Mozilla® Firefox®
    • Last 3 major versions of Google Chrome™
  • On Linux®:
    • Last 3 major versions of Mozilla® Firefox®
    • Last 3 major versions of Google Chrome™
  • On Mac®:
    • Apple® Safari® 10.0.1 and up
    • Last 3 major versions of Mozilla® Firefox®
    • Last 3 major versions of Google Chrome™

DITA CMS Eclipse Client – Requirement

  • oXygen® XML 18.x and 19.x
  • XMetaL® XMAX™ 8.0.1.61
  • Eclipse SDK 4.3.2 [Build id: 4.3.2.M20140221-1700], 32-bit or 64-bit
  • Java™ JRE 1.7.0_51 or 1.7.0-80 and up (recommended), or Java 1.8.60 and up (limited support), 32-bit or 64-bitNote: Java 1.8 support for the DITA CMS solution Eclipse Client is available, but not recommended and should only be used if absolutely necessary. To use Java 1.8.60 or up, you must install an extra plugin or dropin to patch Eclipse to support Java 1.8. For more information, see the guide: Upgrading the DITA CMS Core from 4.4 to 4.5 Guide.
  • Versions of OS supported:
    • Windows® 7 64-bit version minimum is recommended, but the following are supported: Windows 7 32-bit, Windows 8 64-bit, Windows 8.1 64-bit, Windows 10 64-bit, Windows Server 2008 R2 64-bit, Windows Server 2012 64-bit, and Windows Server 2012 R2 64-bit (RDP or Citrix)
    • Any Linux® platform supported by Eclipse SDK 4.3 (32-bit or 64-bit version)

Important: The DITA CMS Eclipse Client requires good communication with the server components. The latency needs to be better than 50 ms.